@import "libs/shared/assets/src/global-style/variable";
@import 'libs/shared/assets/src/global-style/color';

.container-fluid {
  background: $background-main;
  .form {
    background: $white-color;
    padding-bottom: 16px;
  }
}

.form-row {
  justify-content: space-between;
  &__input {
    width: 99.5%;
    border-radius: 8px;
    min-height: 40px;
    border: 1px solid $border-color;
    padding: 4px 11px;
    &:hover, &:focus {
      border: 1px solid $primary-button-color;
      box-shadow: none;
    }
    &:focus-visible {
      outline: none;
      border: 1px solid $primary-button-color;
    }
  }

  &__left {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }

  &__right {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-self: center;
  }
}

.footer {
    text-align: end;
    margin-top: 20px;
    button {
        padding-right: 5px;
    }
}

.pagination {
  display: flex;
  margin-top: 6px;
  justify-content: space-between;
  &__icon {
    display: flex;
  }
  &__table-info {
    display: flex;
    column-gap: 10px;
    align-items: center;
    &--text {
      white-space: nowrap;
      font-style: normal;
      font-weight: 400;
      font-size: 14px;
      line-height: 150%;
    }
  }
}

.form-search {
  padding: 10px;
  text-align: left;
}

.active {
  background-color: $background-primary-button-color;
  &:hover {
    background-color: $background-primary-button-color;
  }
}

.button-header {
  border-radius: 8px;
  display: flex;
  align-items: center;
  padding: 10px 16px 10px 16px;
  font-size: 14px;
  min-height: 40px;
  background: $primary-button-color;
  margin-left: 16px;
  text-transform: uppercase;
  &.button-fist {
    margin-left: 0;
  }
  &:hover {
    background: $active-color;
    border-color: $active-color;
  }
  &.active {
    color: $active-color;
    background-color: $background-main;
    border-color: $background-main;
  }
}

.data-table {
  .table-header > th {
    background: $color-th;
    color: $text-pagination;
    font-family: avertaB, sans-serif;
  }
  .row-table:hover > td {
    background: $hover-table-row;
  }
  .ant-table-wrapper {
    .ant-table {
      border-radius: 0.5rem;
      .ant-table-tbody > tr.ant-table-row:hover > td {
        background: $hover-table-row;
      }
    }
  }
}

.input__label {
  color: $bg-gray-label!important;
  font-size: 14px;
  font-family: avertaB, sans-serif;
}

.button-search {
  align-self: center;
  ::ng-deep {
    button {
      width: 42px;
    }
  }
}
